/**
 * Copyright 2019 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
     * https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

 body {
    font-family: "Roboto", Arial, Helvetica, sans-serif;
    margin: 0 auto;
  }
  
  .content-container {
    margin: 0 auto;
    max-width: 1100px;
    padding-left: 8px;
    padding-right: 8px;
  }
  
  .editor {
    height: 400px;
    position: relative;
    width: 100%;
  }
  
  .editor-textarea {
    background: transparent;
    border: 0 none;
    box-sizing: border-box;
    caret-color: black;
    color: transparent;
    font-family: Consolas,Monaco,'Andale Mono','Ubuntu Mono',monospace;
    font-size: 16px;
    height: 100%;
    padding-top: 9px;
    padding-bottom: 17px;
    padding-left: 27px;
    padding-right: 17px;
    line-height: 1.5;
    outline: none;
    overflow-y: auto;
    overflow-x: hidden;
    position: absolute;
    resize: none;
    white-space: nowrap;
    width: 100%;
  }
  
  .field-container {
    display: grid;
    grid-template-columns: 100px auto;
    grid-template-rows: auto auto;
    grid-row-gap: 10px;
    margin-bottom: 10px;
  }
  
  .button {
    background: #d14836;
    border: none;
    border-radius: 4px;
    color: antiquewhite;
    font-size: 16px;
    font-weight: 700;
    height: 32px;
    margin-top: 10px;
    padding-right: 10px;
    width: 110px;
  }
  
  .header-container {
    background-color: #f1f1f1;
    margin-bottom: 15px;
  }
  
  .header {
    margin: 0 auto;
    max-width:1100px;
    padding: 5px;
  }
  
  .header-title {
    display:block;
    font-size: 2em;
    font-weight: bold;
    margin-top: 20px;
  }
  
  .input-name {
    background-color: #fff;
    border-radius: 5px;
    border-width: 1px;
    box-sizing: border-box;
    font-size: 14px;
    grid-column: 2;
    grid-row: 1;
    height: 28px;
    padding: 3px 8px;
    max-width: 500px;
  }
  
  .label-editor {
    display: block;
    margin: 0 25px 10px 0;
  }
  
  .label-language {
    align-self: center;
    grid-column: 1;
    grid-row: 2;
  }
  
  .label-name {
    align-self: center;
    grid-column: 1;
    grid-row: 1;
  }
  
  .label-recent {
    margin-top: 20px;
  }
  
  .language-select {
    background-color: #fff;
    border-radius: 5px;
    font-size: 14px;
    grid-column: 2;
    grid-row: 2;
    height: 28px;
    padding: 2px 5px;
    max-width: 200px;
  }
  
  .link-new {
    margin-top: 20px;
  }
  
  .paste-name {
    margin-bottom: 5px;
  }
  
  .report-form {
    text-align: right;
  }
  
  .sandbox {
    border-width: 0;
    width: 100%;
    height: 100%;
  }
  
  .tag-line {
    display: block;
    font-size: 12px;
    margin-top: -10px;
    color: darkorchid;
    font-style: italic;
  }
  
  .viewer {
    height: 100%;
  }
  
  .sandbox-body {
    margin: 1px;
    overflow: hidden;
  }
  
  .sandbox-viewport {
    position: relative;
  }
  
  code[class*=language] {
    overflow: hidden !important;
  }
  
  li {
    margin-top: 5px;
    margin-bottom: 5px;
    list-style-type: none;
  }
  
  ul {
    padding-left: 0;
  }